<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="97d31bec-9c64-4295-98c5-efd9c89c6162" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/server.js" beforeDir="false" afterPath="$PROJECT_DIR$/server.js" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/.tmp/" />
    <ignored path="$PROJECT_DIR$/temp/" />
    <ignored path="$PROJECT_DIR$/tmp/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="merchant-example-project" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/assets/pocket.js">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="17" lean-forward="true" selection-start-column="17" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/server.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="668">
              <caret line="154" column="19" lean-forward="true" selection-start-line="154" selection-start-column="19" selection-end-line="154" selection-end-column="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/views/index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="715">
              <caret line="41" column="32" selection-start-line="41" selection-start-column="32" selection-end-line="41" selection-end-column="32" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data.json">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="1" lean-forward="true" selection-start-column="1" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/settings.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="108">
              <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>btnin</find>
      <find>space</find>
      <find>border</find>
      <find>add</find>
      <find>hover</find>
      <find>fs</find>
      <find>txtdur</find>
      <find>invoice</find>
      <find>dispatch</find>
      <find>actualcallback</find>
      <find>window</find>
      <find>total</find>
      <find>digits</find>
      <find>getToken</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="nandia" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/assets/styles.css" />
        <option value="$PROJECT_DIR$/views/card.html" />
        <option value="$PROJECT_DIR$/views/cart.html" />
        <option value="$PROJECT_DIR$/assets/misc.js" />
        <option value="$PROJECT_DIR$/assets/server1.js" />
        <option value="$PROJECT_DIR$/assets/main.css" />
        <option value="$PROJECT_DIR$/views/index.html" />
        <option value="$PROJECT_DIR$/.idea/workspace.xml" />
        <option value="$PROJECT_DIR$/assets/pocket.js" />
        <option value="$PROJECT_DIR$/data.json" />
        <option value="$PROJECT_DIR$/assets/main.js" />
        <option value="$PROJECT_DIR$/settings.js" />
        <option value="$PROJECT_DIR$/server.js" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="284" />
    <option name="y" value="158" />
    <option name="width" value="1403" />
    <option name="height" value="791" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="merchant-example-project (copy)" type="b2602c69:ProjectViewProjectNode" />
              <item name="merchant-example-project (copy)" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="merchant-example-project (copy)" type="b2602c69:ProjectViewProjectNode" />
              <item name="merchant-example-project (copy)" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="merchant-example-project (copy)" type="b2602c69:ProjectViewProjectNode" />
              <item name="merchant-example-project (copy)" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.IDE.editor.colors" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="97d31bec-9c64-4295-98c5-efd9c89c6162" name="Default Changelist" comment="" />
      <created>1579853562574</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1579853562574</updated>
      <workItem from="1579853565793" duration="5191000" />
      <workItem from="1580808436042" duration="3631000" />
      <workItem from="1580821880558" duration="2960000" />
      <workItem from="1580864720343" duration="9782000" />
      <workItem from="1580883200041" duration="7686000" />
      <workItem from="1580911156245" duration="600000" />
      <workItem from="1580918817682" duration="11873000" />
      <workItem from="1584421697178" duration="1951000" />
      <workItem from="1584423665908" duration="24182000" />
      <workItem from="1584582599269" duration="3438000" />
      <workItem from="1584586312531" duration="15821000" />
      <workItem from="1584607463568" duration="4228000" />
      <workItem from="1584614437122" duration="4814000" />
      <workItem from="1584669763517" duration="7433000" />
      <workItem from="1584692884707" duration="322000" />
      <workItem from="1584887855578" duration="12821000" />
      <workItem from="1584912499488" duration="1477000" />
      <workItem from="1584930305759" duration="462000" />
      <workItem from="1585023931089" duration="7397000" />
      <workItem from="1585041660220" duration="921000" />
      <workItem from="1585046131552" duration="1311000" />
      <workItem from="1585055998360" duration="170000" />
      <workItem from="1585277797634" duration="8676000" />
    </task>
    <task id="LOCAL-00001" summary="test">
      <created>1584607247489</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1584607247489</updated>
    </task>
    <task id="LOCAL-00002" summary="server_variables">
      <created>1584607349192</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1584607349192</updated>
    </task>
    <task id="LOCAL-00003" summary="server_variables">
      <created>1584611862806</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1584611862806</updated>
    </task>
    <task id="LOCAL-00004" summary="server_variables">
      <created>1584619242077</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1584619242077</updated>
    </task>
    <task id="LOCAL-00005" summary="server_variables">
      <created>1584930430357</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1584930430357</updated>
    </task>
    <task id="LOCAL-00006" summary="server_variables">
      <created>1585287692278</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1585287692278</updated>
    </task>
    <task id="LOCAL-00007" summary="server_variables">
      <created>1585291779962</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1585291779962</updated>
    </task>
    <option name="localTasksCounter" value="8" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="137147000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="51" y="25" width="1869" height="1055" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.49876848" visible="true" weight="0.17063922" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" sideWeight="0.50123155" side_tool="true" weight="0.17334779" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32937366" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="Docker" order="6" show_stripe_button="false" />
      <window_info anchor="bottom" id="TODO" order="7" weight="0.32937366" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.5399568" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info active="true" anchor="bottom" id="Terminal" order="10" visible="true" weight="0.032397408" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.49876848" visible="true" weight="0.17063922" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" sideWeight="0.50123155" side_tool="true" weight="0.17334779" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32937366" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="Docker" order="6" show_stripe_button="false" />
      <window_info anchor="bottom" id="TODO" order="7" weight="0.32937366" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.5399568" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info active="true" anchor="bottom" id="Terminal" order="10" visible="true" weight="0.12850972" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="test" />
    <MESSAGE value="server_variables" />
    <option name="LAST_COMMIT_MESSAGE" value="server_variables" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/assets/styles.css" />
    <entry file="file://$PROJECT_DIR$/controller/store.js" />
    <entry file="file://$PROJECT_DIR$/views/cart.html" />
    <entry file="file://$PROJECT_DIR$/assets/misc.js" />
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="4" lean-forward="true" selection-start-line="7" selection-start-column="4" selection-end-line="7" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/images/icon.png" />
    <entry file="file://$PROJECT_DIR$/assets/images/image.png" />
    <entry file="file://$PROJECT_DIR$/assets/images/pocket.png" />
    <entry file="file://$PROJECT_DIR$/assets/images/shop.png" />
    <entry file="file://$PROJECT_DIR$/assets/images/shop1.png" />
    <entry file="file://$PROJECT_DIR$/assets/images/shop2.png" />
    <entry file="file://$PROJECT_DIR$/assets/images/shop3.png" />
    <entry file="file://$PROJECT_DIR$/assets/images/logo.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/images/iphone7plus.jpg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/server1.js" />
    <entry file="file://$PROJECT_DIR$/assets/pocket.temp.js" />
    <entry file="file://$PROJECT_DIR$/assets/main.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="319">
          <caret line="37" column="19" selection-start-line="37" selection-start-column="19" selection-end-line="37" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/main.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="522">
          <caret line="29" column="32" selection-start-line="29" selection-start-column="32" selection-end-line="29" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/views/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="715">
          <caret line="41" column="32" selection-start-line="41" selection-start-column="32" selection-end-line="41" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/pocket.js">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="17" lean-forward="true" selection-start-column="17" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data.json">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="1" lean-forward="true" selection-start-column="1" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/settings.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="108">
          <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/server.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="668">
          <caret line="154" column="19" lean-forward="true" selection-start-line="154" selection-start-column="19" selection-end-line="154" selection-end-column="19" />
        </state>
      </provider>
    </entry>
  </component>
</project>